Delete a stored action
curl --request DELETE \
--url https://api.zapier.com/actions/v1/stored-actions/{stored_action_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/actions/v1/stored-actions/{stored_action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"status": 400,
"code": "bad_request",
"title": "Bad Request",
"detail": "Improperly formatted or incompleted request",
"source": null,
"meta": {}
}
]
}{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}{
"errors": [
{
"status": 503,
"code": "service_unavaiable",
"detail": "Service is temporarily unavailable"
}
]
}Stored Actions
Delete a stored action
Stored Actions endpoints handle the creation, execution, updates, and deletions of single created actions.
DELETE
/
actions
/
v1
/
stored-actions
/
{stored_action_id}
Delete a stored action
Was this page helpful?
⌘I